Logo2017
ukenplru

Сайти

Створенн сайтів: сайт-візитка, сайт-каталог, лендінг пейдж, корпоративний сайт, інформаційний портал, інтернет-магазин і ін..

Копірайтинг

Створення публікацій для сайтів.

Просування

СЕО-оптимізація сайтів, реєстрація в пошукових системах, контекстна реклама і ін...

Мультимедіа

Фото, відео, аудіо для сайтів.

Дана публікація з циклу статей про CMS JOOMLA у якій розповімо про те, як усунути проблему невідображення модуля перемикання мов на багатомовних сайтах. І так Ви створили сайт на якому використовується 2 і більше мов. Ви скористалися для цього не стороннім компонентом, а безпосередніми можливостями Joomla 2.5 (детальніше про це в інших публікаціях). І коли ви розміщуєте і активуєте модуль перемикання мов – той не відображається на сайті. Що робити?

 

З нашої практики ми довідалися про 3 причини виникнення даної проблеми.

  1. Дана причина банальна і проста: ви забули увімкнути Плагін багатомовності (System - Language Filter)
  2. Невірно налаштовані меню
  3. Проблеми з PHP

Про подолання першої та другої причин розповімо у спеціальній публікації «Як створити багатомовний сайт виключно можливостями  Joomla 2.5. Наразі ж говоримо про третю проблему.

На час написання даної публікації компанії, які надають послуги з хостінгу перебувають на межі зміни версій PHP. Якщо донедавна кругом царювала версія 5.2, то тепер відбувається плавний перехід на версію 5.3. Навіть у рекомендаціях стосовно використання Joomla 3.х вказана нова версія  PHP 5.3. Так от до чого ця прелюдія. Річ у тім, що Joomla 2.5 повністю адаптована для роботи під версію PHP 5.2. Знаю, що багато хто з читачів заперечить, адже «у мене PHP 5.3 і Joomla 2.5 працює просто таки класно і стабільно». Справді  таке твердження має під собою ґрунт, та все ж, як показала практика, не весь функціонал Joomla 2.5 здатний працювати на PHP 5.3. Можливо ця непрацездатність становить якийсь відсоток від загалу, та нажаль до цієї групи належить і модуль перемикання мов.

Тому що необхідно для того щоб у нас перемикання мов стали видимі на сайті.

  1. Зайти на хостінг і понизити версію PHP з 5.3 до 5.2
  2. Якщо ваш хостінг не дає вам цього зробити в ручному режимі, варто звернутися у службу підтримки з відповідним тікетом (листом) у якому прохаєте про зміну PHP  у вашому аккаунті.

Принаймні у декількох випадках саме у цьому полягав корінь проблеми. То ж приємного користування CMS JOOMLA.


 

Ярослав БАРАН

Контакти

+38 096 814 02 84

+38 067 794 80 61

Ми Вам зателефонуємо

Ми Вам зателефонуємо

Неверный ввод
Невірно вказані дані. Впмшіть лише цифри.
Невірно вказані символи
Free visitor tracking, live stats, counter, conversions for Joomla, Wordpress, Drupal, Magento and Prestashop

Яндекс-метрика